# DS_Queue.h File Reference

[Internal] A queue used by RakNet. More...

`#include "RakAssert.h"`
`#include "Export.h"`
`#include "RakMemoryOverride.h"`

## Classes

class | DataStructures::Queue< queue_type >
| A queue implemented as an array with a read and write index. More...

## Namespaces

namespace | DataStructures

## Detailed Description

[Internal] A queue used by RakNet.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.